Invoices Find By Id
Returns the invoice for a given invoice ID.
get
Authorizations
AuthorizationstringRequired
Path parameters
contractintegerRequiredPattern:
Contract number
[0-9]{5,10}idstringRequired
Invoice ID
Query parameters
dateformatstringOptional
Vendor date format
Responses
200
Result data
application/json
401
Unauthorized
application/json
403
Forbidden
application/json
404
Invoice with the ID not found
application/json
409
Invoice with the ID doesn't belong to the contract
application/json
500
Unexpected internal server error
application/json
get/{contract}/invoices/{id}
GET /billing/{contract}/invoices/{id} HTTP/1.1
Host: api.ionos.com
Authorization: Basic username:password
Accept: */*
{
"metadata": {
"invoiceId": "GY00012345",
"contractId": "318002123",
"customerId": "112345678",
"createdDate": "2020-02-05 04:00:00Z",
"startDate": "2020-01-01",
"endDate": "2020-01-31",
"postingPeriod": "2020-01",
"finallyPosted": true,
"reference": "123456|111",
"resellerRef": "bricksonline"
},
"datacenters": [
{
"id": "54eb1ed9-06f5-4bfb-a4f0-07cc373f5ee1",
"name": "Main VDC",
"location": "EU",
"productGroup": "PG 1",
"meters": [
{
"meterId": "C010EU",
"meterDesc": "1h core AMD - EU",
"productGroup": "PG 1",
"quantity": {
"quantity": 12960,
"unit": "1hour"
},
"rate": {
"quantity": 2.94,
"unit": "EUR"
},
"amount": {
"quantity": 2.94,
"unit": "EUR"
}
}
],
"rebate": {
"amount": {
"quantity": 2.94,
"unit": "EUR"
}
}
}
],
"total": {
"quantity": 2.94,
"unit": "EUR"
}
}Last updated
Was this helpful?